Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.event.entity.player
Class PlayerDropsEvent

    java.lang.Object
      net.minecraftforge.event.Event
          net.minecraftforge.event.entity.EntityEvent
              net.minecraftforge.event.entity.living.LivingEvent
                  net.minecraftforge.event.entity.living.LivingDropsEvent
                      net.minecraftforge.event.entity.player.PlayerDropsEvent

    public class PlayerDropsEvent

extends LivingDropsEvent

Child class of LivingDropEvent that is fired specifically when a player dies. Canceling the event will prevent ALL drops from entering the world.

Nested Class Summary

Nested classes/interfaces inherited from class net.minecraftforge.event.entity.living.LivingEvent
`LivingEvent.LivingJumpEvent, LivingEvent.LivingUpdateEvent`

Nested classes/interfaces inherited from class net.minecraftforge.event.entity.EntityEvent
`EntityEvent.CanUpdate, EntityEvent.EnteringChunk`

Nested classes/interfaces inherited from class net.minecraftforge.event.Event
`Event.HasResult, Event.Result`

Field Summary
`EntityPlayer` | `entityPlayer`

Fields inherited from class net.minecraftforge.event.entity.living.LivingDropsEvent
`drops, lootingLevel, recentlyHit, source, specialDropValue`

Fields inherited from class net.minecraftforge.event.entity.living.LivingEvent
`entityLiving`

Fields inherited from class net.minecraftforge.event.entity.EntityEvent
`entity`

Constructor Summary
`PlayerDropsEvent(EntityPlayer entity, DamageSource source, ArrayList<EntityItem> drops, boolean recentlyHit)` Creates a new event containing all the items that will drop into the world when a player dies.

Method Summary

Methods inherited from class net.minecraftforge.event.Event
`getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### entityPlayer

    public final EntityPlayer entityPlayer

Constructor Detail

### PlayerDropsEvent

    public PlayerDropsEvent(EntityPlayer entity,
                            DamageSource source,
                            ArrayList<EntityItem> drops,
                            boolean recentlyHit)

  Creates a new event containing all the items that will drop into the world when a player dies.

  Parameters:
    `entity` - The dying player.
    `source` - The source of the damage which is killing the player.
    `drops` - List of all drops entering the world.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD